Package org.eclipse.birt.core.script

# Interface IScriptEngine

public interface IScriptEngine

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Closes the engine.
`ICompiledScript`
`compile(ScriptContext scriptContext, String fileName, int lineNumber, String script)`
Compiles the script for later execution.
`Object`
`evaluate(ScriptContext scriptContext, ICompiledScript script)`
Evaluates a compiled script.
`IScriptEngineFactory`
`getFactory()`
Returns the script engine factory which created this engine instance.
`String`
`getScriptLanguage()`
Returns name of script.
`void`
`setApplicationClassLoader(ClassLoader loader)`
Sets application class loader.
`void`
`setLocale(Locale locale)`
Sets locale.
`void`
`setTimeZone(com.ibm.icu.util.TimeZone zone)`
Sets time zone.

## Method Details

### getFactory

IScriptEngineFactory getFactory()
Returns the script engine factory which created this engine instance.

### getScriptLanguage

String getScriptLanguage()
Returns name of script.

Returns:

### evaluate

Object evaluate(ScriptContext scriptContext, ICompiledScript script) throws BirtException
Evaluates a compiled script.

Parameters:
  `script` -
Returns:
Throws:
  `BirtException`

### compile

ICompiledScript compile(ScriptContext scriptContext, String fileName, int lineNumber, String script) throws BirtException
Compiles the script for later execution.

Parameters:
  `lineNumber` -
  `script` -
  `id` -
Returns:
Throws:
  `BirtException`

### setTimeZone

void setTimeZone(com.ibm.icu.util.TimeZone zone)
Sets time zone.

### setLocale

void setLocale(Locale locale)
Sets locale.

### setApplicationClassLoader

void setApplicationClassLoader(ClassLoader loader)
Sets application class loader.

### close

void close()
Closes the engine.